# ------------------------------------------------------------------------------
#
# General plugin description (optional)
#
# ------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

# Verify operation system.
if RUBY_PLATFORM !~ /mswin|mingw/i
  msg = "'Dacastror' extension can operate on MSFT Windows based platforms only! "
  msg << "Your operating system doesn't smell like Windows to me."
  UI.messagebox(msg)
  dir = File.dirname(__FILE__)
  # Rename file so it doesn't load next time SU starts, so we don't bother users
  # with other platforms.
  File.rename(__FILE__, File.join(dir, 'dacastror.rb!'))
else

module Dacastror

  NAME         = 'Dacastror'.freeze
  VERSION      = '1.0.0'.freeze
  RELEASE_DATE = 'May 10, 2015'.freeze

  # Create the extension.
  @extension = SketchupExtension.new NAME, 'dacastror/main.rb'

  desc = "Dacastror plugin description."

  # Attach some nice info.
  @extension.description = desc
  @extension.version     = VERSION
  @extension.copyright   = 'Decastror © 2015'
  @extension.creator     = 'Decastror'

  # Register and load the extension on start-up.
  Sketchup.register_extension @extension, true

end # module Dacastror

end
